%global revyear 2018
%global revmonth 03
%global revday 04
%global revbinutils 2.30
%global revgdb 8.1

Name:           stm8binutils
Version:        %{revyear}%{revmonth}%{revday}
Release:        1%{?dist}
Summary:        Binutils for STM8

License:        GPLv3+ and GPLv3+ with exceptions and GPLv2+ and GPLv2+ with exceptions and GPL+ and LGPLv2+ and LGPLv3+ and BSD and Public Domain and GFDL
URL:            https://stm8-binutils-gdb.sourceforge.io/
Source0:        stm8-binutils-gdb-sources-%{revyear}-%{revmonth}-%{revday}.tar.gz
Source1:        https://ftp.gnu.org/gnu/binutils/binutils-%{revbinutils}.tar.xz
Source2:        https://ftp.gnu.org/gnu/gdb/gdb-%{revgdb}.tar.xz

BuildRequires:  perl
BuildRequires:  texinfo

%description
Binutils for STM8

%prep
%autosetup -n stm8-binutils-gdb-sources
perl -i -pe 's/^wget.*$//' patch_binutils.sh
cp %{SOURCE1} .
cp %{SOURCE2} .
./patch_binutils.sh

%build
PREFIX=%{_prefix} ./configure_binutils.sh
pushd binutils-%{revbinutils}
%make_build
popd


%install
rm -rf $RPM_BUILD_ROOT
pushd binutils-%{revbinutils}
%make_install
popd
rm -rf $RPM_BUILD_ROOT/%{_datadir}/gdb
rm -rf $RPM_BUILD_ROOT/%{_datadir}/info
rm -rf $RPM_BUILD_ROOT/%{_datadir}/locale
rm -rf $RPM_BUILD_ROOT/%{_includedir}/gdb


%files
%license binutils-%{revbinutils}/COPYING binutils-%{revbinutils}/COPYING3 binutils-%{revbinutils}/COPYING3.LIB binutils-%{revbinutils}/COPYING.LIB
%{_bindir}/stm8-*
%{_datadir}/man/man*/*
%{_prefix}/stm8-none-elf32

%changelog
* Thu Jul 12 2018 Thomas Sailer <t.sailer@alumni.ethz.ch> - 20180304-1
- initial version
